Subject: Re: bug#29186: building guile-emacs fails: required libaries not found: libjpeg

From: [email-masked] (Ludovic Courtès)
Date: Fri, 24 Nov 2017 18:25:28 +0100

[email-masked] (Ludovic Courtès) skribis:

> Jan Nieuwenhuizen <[email-masked]> skribis:
>
>> Ludovic Courtès writes:
>>
>>>> Subject: [PATCH] gnu: guile-emacs: Resurrect, fixes #29186.
>>>>
>>>> * gnu/packages/patches/guile-emacs-fix-configure.patch: New file.
>>
>>> I’m fine with this patch.  I’m a bit concerned about the risk of
>>> accumulating patches that should really be in guile-emacs proper,
>>> though.  IMO it would be better if this patch were pushed to
>>> guile-emacs, or if an alternate guile-emacs repo were set up if the
>>> current one is inactive.  If that’s too cumbersome though, feel free to
>>> push this patch!
>>
>> Meanwhile, I sent this patch 6 days ago to Robin Templeton <[email-masked]>.
>> They were the most recent committer from where we're pulling.  They haven't
>> responded yet.  Let me know if you know a better address/can we do better?
>>
>> I can wait a bit more and push if I don't hear anything the coming week.
>
> Yes, that sounds like the best approach.

I think you can now push the patch in Guix.

Thanks,
Ludo’.